Skip to content

upsertSupplierProcess

WRITE

Upsert supplier process.

POST /api/v1/purchasing/upsertSupplierProcess
curl -X POST '<your-host>/api/v1/purchasing/upsertSupplierProcess' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string",
    "processId": "string",
    "minimumCost": 0,
    "leadTime": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min 0
min 0
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "processId": {
      "type": "string",
      "minLength": 1
    },
    "minimumCost": {
      "type": "number",
      "minimum": 0
    },
    "leadTime": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "supplierId",
    "processId",
    "minimumCost",
    "leadTime",
    "_operation"
  ]
}